import QtQuick 1.1
import Process 0.1
import "Keypad"

Item {
    id: root
    width: keypad.width
    height: keypad.height

    Connections {
        target: application

        onCommandReceived: {
            var parts = cmd.split(" ")
            var command = parts[1]
            if (parts.length > 2) {
                var arg1 = parts[2]
                if (command === "lang") {
                    application.currentLanguage = arg1
                }
            }
        }
    }

    AlphaKeypad {
        id: keypad
        x: 0
        y: 0
        anchors { horizontalCenter: parent.horizontalCenter ; bottom: parent.bottom }
        visible: true
        onClose: application.hide()
        onKeyPress: {
            dotool.keypress(key)
        }

        onMultipress: {
            dotool.keypress(keylist)
        }
    }

    Process {
        id: dotool

        function keypress(keyOrArray) {
            var fullArgs = ["key"]
            fullArgs = fullArgs.concat(keyOrArray)
            dotool.arguments = fullArgs
            start()
        }
        onReadyReadStandardError: {
            var output = new String(readAllStandardError())
            print(output)
        }
        onReadyReadStandardOutput: {
            var output = new String(readAllStandardOutput())
            print(output)
        }

        program: "/usr/bin/xdotool"
        arguments: ["key", "a"]
    }
}
